%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  gnmbeobreg_a2.m
%%  Ausgabedatei zu gnmbeobreg.mdl
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
    subplot(211)
    plot(t,60*N,'r-',t,60*ybeob(:,3),'b--') ;
    axis([0.0 0.05 0 600])
    title('Drehzahl N und Schtzwert ybeob(:,3) [U/min]')
    legend('N','ybeob(:,3)',4)

    subplot(212)
    plot(t,60*(N-ybeob(:,3)),'k-')
    a=axis; axis([0.0 0.05 -0.01 0.01])
    title('Schtzfehler e = N - ybeob(:,3)')
    xlabel('Zeit t')
                                                
if exist('druck') == 1 , print('-deps' ,'p_gnmbeobreg_ne1.eps') , end
if exist('druck') == 1 , print('-depsc','p_gnmbeobreg_ne1_c.eps') , end

figure
    subplot(211)
    plot(t,IA,'r-',t,ybeob(:,1),'b--') ;
    axis([0.0 0.05 -100 100])
    title('Ausgang y = IA und Schtzwert ybeob(:,1)[A]')
    legend('IA','ybeob(:,1)',4)

    subplot(212)
    plot(t,IA-ybeob(:,1),'k-')
    a=axis; axis([0.0 0.05 -0.001 0.001])
    title('Beobachterfehler e = IA - ybeob(:,1)')
    xlabel('Zeit t')

if exist('druck') == 1 , print('-deps' ,'p_gnmbeobreg_iae1.eps') , end
if exist('druck') == 1 , print('-depsc','p_gnmbeobreg_iae1_c.eps') , end

figure
    subplot(211)
    plot(t,60*N,'r-',t,60*ybeob(:,3),'b--') ;
    axis([T_MW-0.01 T_MW+0.03 -200 500])
    title('Drehzahl N und Schtzwert ybeob(:,3) [U/min]')
    legend('N','ybeob(:,3)',1)

    subplot(212)
    plot(t,60*(N-ybeob(:,3)),'k-')
    axis([T_MW-0.01 T_MW+0.03 -10 1])
    title('Schtzfehler e = N - ybeob(:,3)')
    xlabel('Zeit t')
                                                
if exist('druck') == 1 , print('-deps' ,'p_gnmbeobreg_ne2.eps') , end
if exist('druck') == 1 , print('-depsc','p_gnmbeobreg_ne2_c.eps') , end

figure
    subplot(211)
    plot(t,IA,'r-',t,ybeob(:,1),'b--') ;
    axis([T_MW-0.01 T_MW+0.03 -100 50])
    title('Ausgang y = IA und Schtzwert ybeob(:,1)[A]')
    legend('IA','ybeob(:,1)',4)

    subplot(212)
    plot(t,IA-ybeob(:,1),'k-')
    axis([T_MW-0.01 T_MW+0.03 -0.0 0.004])
    title('Beobachterfehler e = IA - ybeob(:,1)')
    xlabel('Zeit t')

if exist('druck') == 1 , print('-deps' ,'p_gnmbeobreg_iae2.eps') , end
if exist('druck') == 1 , print('-depsc','p_gnmbeobreg_iae2_c.eps') , end
